Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.jmx
Interface StatisticsServiceMBean

All Superinterfaces:
  Statistics

All Known Implementing Classes:
  StatisticsService

    public interface StatisticsServiceMBean

extends Statistics

MBean exposing Session Factory statistics

Author:
  Emmanuel Bernard
See Also:
  `Statistics`

Method Summary
`void` | `setSessionFactoryJNDIName(String sfJNDIName)` Publish the statistics of a session factory bound to the default JNDI context

Methods inherited from interface org.hibernate.stat.Statistics
`clear, getCloseStatementCount, getCollectionFetchCount, getCollectionLoadCount, getCollectionRecreateCount, getCollectionRemoveCount, getCollectionRoleNames, getCollectionStatistics, getCollectionUpdateCount, getConnectCount, getEntityDeleteCount, getEntityFetchCount, getEntityInsertCount, getEntityLoadCount, getEntityNames, getEntityStatistics, getEntityUpdateCount, getFlushCount, getOptimisticFailureCount, getPrepareStatementCount, getQueries, getQueryCacheHitCount, getQueryCacheMissCount, getQueryCachePutCount, getQueryExecutionCount, getQueryExecutionMaxTime, getQueryExecutionMaxTimeQueryString, getQueryStatistics, getSecondLevelCacheHitCount, getSecondLevelCacheMissCount, getSecondLevelCachePutCount, getSecondLevelCacheRegionNames, getSecondLevelCacheStatistics, getSessionCloseCount, getSessionOpenCount, getStartTime, getSuccessfulTransactionCount, getTransactionCount, isStatisticsEnabled, logSummary, setStatisticsEnabled`

Method Detail

### setSessionFactoryJNDIName

    void setSessionFactoryJNDIName(String sfJNDIName)

  Publish the statistics of a session factory bound to the default JNDI context

  Parameters:
    `sfJNDIName` - session factory jndi name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD